window.board = {
    id: 'Armadillo-640',
    name: 'Armadillo-640',
    minPin: 1,
    maxPin: 84,
    lcdPin: 35
};

window.board.groups = {
    "adc": {
	description: 'ADC',
        cssClass: 'success',
    },
    "can": {
	description: 'CAN',
        cssClass: 'info',
    },
    "ecspi": {
	description: 'ECSPI',
        cssClass: 'danger',
    },
    "i2c": {
	description: 'I2C',
        cssClass: 'warning',
    },
    "lcdif": {
	description: 'LCDIF',
        cssClass: 'success',
    },
    "mqs": {
	description: 'MQS',
        cssClass: 'info',
    },
    "pwm": {
	description: 'PWM',
        cssClass: 'danger',
    },
    "uart": {
	description: 'UART',
        cssClass: 'warning',
    },
    "option": {
	description: 'OPTION BOARD',
	cssClass: 'success',
    },
};

window.board.features = {
    "adc1-in1": {
        description: 'ADC1(IN1)',
	group: 'adc',
        cssClass: 'danger',
        configurations: [
	    {pins: [71]},
        ]
    },
    "adc1-in2": {
        description: 'ADC1(IN2)',
	group: 'adc',
        cssClass: 'warning',
        configurations: [
	    {pins: [70]},
        ]
    },
    "adc1-in3": {
        description: 'ADC1(IN3)',
	group: 'adc',
        cssClass: 'danger',
        configurations: [
	    {pins: [69]},
        ]
    },
    "adc1-in4": {
        description: 'ADC1(IN4)',
	group: 'adc',
        cssClass: 'warning',
        configurations: [
	    {pins: [68]},
        ]
    },
    "can1": {
        description: 'CAN1(RX/TX)',
	group: 'can',
        cssClass: 'warning',
        configurations: [
	    {pins: [56, 57], signalNames: {"56": "TX", "57": "RX"}}
        ]
    },
    "can2": {
        description: 'CAN2(RX/TX)',
	group: 'can',
        cssClass: 'success',
        configurations: [
	    {pins: [1, 2], signalNames: {"1": "TX", "2": "RX"}},
	    {pins: [58, 59], signalNames: {"58": "TX", "59": "RX"}}
        ]
    },
    "ecspi1": {
        description: 'ECSPI1(SCLK/MOSI/MISO/SS0)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [15, 16, 17, 18], signalNames: {"15": "SCLK", "16": "SS0", "17": "MOSI", "18": "MISO"}},
	    {pins: [78, 79, 80, 81], signalNames: {"78": "MISO", "79": "MOSI", "80": "SS0", "81": "SCLK"}}
        ]
    },
    "ecspi1-ss1": {
        description: 'ECSPI1(SS1)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [52]},
        ]
    },
    "ecspi1-ss2": {
        description: 'ECSPI1(SS2)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [54]},
        ]
    },
    "ecspi1-ss3": {
        description: 'ECSPI1(SS3)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [55]},
        ]
    },
    "ecspi2": {
        description: 'ECSPI2(SCLK/MOSI/MISO/SS0)',
	group: 'ecspi',
        cssClass: 'info',
        configurations: [
	    {pins: [74, 75, 76, 77], signalNames: {"74": "SCLK", "75": "MISO", "76": "SS0", "77": "MOSI"}}
        ]
    },
    "ecspi2-ss1": {
        description: 'ECSPI2(SS1)',
	group: 'ecspi',
        cssClass: 'info',
        configurations: [
	    {pins: [43]},
        ]
    },
    "ecspi2-ss2": {
        description: 'ECSPI2(SS2)',
	group: 'ecspi',
        cssClass: 'info',
        configurations: [
	    {pins: [44]},
        ]
    },
    "ecspi3": {
        description: 'ECSPI3(SCLK/MOSI/MISO/SS0)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [1, 2, 33, 34], signalNames: {"1": "MOSI", "2": "MISO", "33": "SS0", "34": "SCLK"}}
        ]
    },
    "ecspi4": {
        description: 'ECSPI4(SCLK/MOSI/MISO/SS0)',
	group: 'ecspi',
        cssClass: 'info',
        configurations: [
	    {pins: [25, 26, 27, 28], signalNames: {"25": "SCLK", "26": "MOSI", "27": "MISO", "28": "SS0"}}
        ]
    },
    "i2c2": {
        description: 'I2C2(SCL/SDA)',
	group: 'i2c',
        cssClass: 'info',
        configurations: [
	    {pins: [4, 6], signalNames: {"4": "SDA", "6": "SCL"}},
	    {pins: [82, 83], signalNames: {"82": "SCL", "83": "SDA"}}
        ]
    },
    "i2c3": {
        description: 'I2C3(SCL/SDA)',
	group: 'i2c',
        cssClass: 'danger',
        configurations: [
	    {pins: [3, 5], signalNames: {"3": "SDA", "5": "SCL"}},
	    {pins: [47, 48], signalNames: {"47": "SDA", "48": "SCL"}}
        ]
    },
    "i2c4": {
        description: 'I2C4(SCL/SDA)',
	group: 'i2c',
        cssClass: 'info',
        configurations: [
	    {pins: [33, 34], signalNames: {"33": "SCL", "34": "SDA"}},
	    {pins: [49, 50], signalNames: {"49": "SDA", "50": "SCL"}}
        ]
    },
    "lcdif-gt800x480a-1013p": {
        description: 'LCDIF(GT800X480A-1013P)',
	group: 'lcdif',
        cssClass: 'danger',
        configurations: [
	    {
            pins: [42, 43, 44, 45, 47, 48, 49, 50, 51, 52, 54, 55, 56, 57, 58, 59, 61, 62, 63, 64, 65, 66, 83],
            signalNames: {
                "42": "CLK", "43": "HSYNC", "44": "VSYNC", "45": "ENABLE", "47": "DATA00", "48": "DATA01",
                "49": "DATA02", "50": "DATA03", "51": "DATA04", "52": "DATA05", "54": "DATA06", "55": "DATA07",
                "56": "DATA08", "57": "DATA09", "58": "DATA10", "59": "DATA11", "61": "DATA12", "62": "DATA13",
                "63": "DATA14", "64": "DATA15", "65": "DATA16", "66": "DATA17", "83": "PWM"}}
        ]
    },
    "lcdif-gtwv070vrb00p": {
        description: 'LCDIF(GTWV070VRB00P)',
	group: 'lcdif',
        cssClass: 'warning',
        configurations: [
	    {
            pins: [42, 43, 44, 45, 47, 48, 49, 50, 51, 52, 54, 55, 56, 57, 58, 59, 61, 62, 63, 64, 65, 66, 83],
            signalNames: {
                "42": "CLK", "43": "HSYNC", "44": "VSYNC", "45": "ENABLE", "47": "DATA00", "48": "DATA01",
                "49": "DATA02", "50": "DATA03", "51": "DATA04", "52": "DATA05", "54": "DATA06", "55": "DATA07",
                "56": "DATA08", "57": "DATA09", "58": "DATA10", "59": "DATA11", "61": "DATA12", "62": "DATA13",
                "63": "DATA14", "64": "DATA15", "65": "DATA16", "66": "DATA17", "83": "PWM"}}
        ]
    },
    "lcdif-fg040360dsswbg03": {
        description: 'LCDIF(FG040360DSSWBG03)',
	group: 'lcdif',
        cssClass: 'danger',
        configurations: [
	    {
            pins: [42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 54, 55, 56, 57, 58, 59, 61, 62, 63, 64, 65, 66],
            signalNames: {
                "42": "CLK", "43": "HSYNC", "44": "VSYNC", "45": "ENABLE", "46": "PWM", "47": "DATA00", "48": "DATA01",
                "49": "DATA02", "50": "DATA03", "51": "DATA04", "52": "DATA05", "54": "DATA06", "55": "DATA07",
                "56": "DATA08", "57": "DATA09", "58": "DATA10", "59": "DATA11", "61": "DATA12", "62": "DATA13",
                "63": "DATA14", "64": "DATA15", "65": "DATA16", "66": "DATA17"}}
        ]
    },
    "lcdif-fg040346dsswbg04": {
	description: 'LCDIF(FG040346DSSWBG04)',
	group: 'lcdif',
        cssClass: 'warning',
        configurations: [
	    {
            pins: [42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 54, 55, 56, 57, 58, 59, 61, 62, 63, 64, 65, 66],
            signalNames: {
                "42": "CLK", "43": "HSYNC", "44": "VSYNC", "45": "ENABLE", "46": "PWM", "47": "DATA00", "48": "DATA01",
                "49": "DATA02", "50": "DATA03", "51": "DATA04", "52": "DATA05", "54": "DATA06", "55": "DATA07",
                "56": "DATA08", "57": "DATA09", "58": "DATA10", "59": "DATA11", "61": "DATA12", "62": "DATA13",
                "63": "DATA14", "64": "DATA15", "65": "DATA16", "66": "DATA17"}}
        ]
    },
    "mqs": {
        description: 'MQS',
	group: 'mqs',
        cssClass: 'warning',
        configurations: [
	    {pins: [17, 18], signalNames: {"17": "RIGHT", "18": "LEFT"}},
        ]
    },
    "pwm1": {
        description: 'PWM1',
	group: 'pwm',
        cssClass: 'success',
        configurations: [
	    {pins: [47]},
        ]
    },
    "pwm2": {
        description: 'PWM2',
	group: 'pwm',
        cssClass: 'info',
        configurations: [
	    {pins: [48]},
        ]
    },
    "pwm3": {
        description: 'PWM3',
	group: 'pwm',
        cssClass: 'success',
        configurations: [
	    {pins: [49]},
	    {pins: [68]},
        ]
    },
    "pwm4": {
        description: 'PWM4',
	group: 'pwm',
        cssClass: 'info',
        configurations: [
	    {pins: [50]},
        ]
    },
    "pwm5": {
        description: 'PWM5',
	group: 'pwm',
        cssClass: 'success',
        configurations: [
	    {pins: [13]},
	    {pins: [46]},
        ]
    },
    "pwm6": {
        description: 'PWM6',
	group: 'pwm',
        cssClass: 'info',
        configurations: [
	    {pins: [14]},
        ]
    },
    "pwm7": {
        description: 'PWM7',
	group: 'pwm',
        cssClass: 'success',
        configurations: [
	    {pins: [83]},
        ]
    },
    "pwm8": {
        description: 'PWM8',
	group: 'pwm',
        cssClass: 'info',
        configurations: [
	    {pins: [82]},
        ]
    },
    "uart1": {
        description: 'UART1(RXD/TXD)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
	    {pins: [3, 5], signalNames: {"3": "RXD", "5": "TXD"}},
	    {pins: [69, 70], signalNames: {"69": "RXD", "70": "TXD"}}
        ]
    },
    "uart2": {
        description: 'UART2(RXD/TXD)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [33, 34], signalNames: {"33": "TXD", "34": "RXD"}},
	    {pins: [25, 26], signalNames: {"25": "TXD", "26": "RXD"}}
        ]
    },
    "uart2-hf": {
        description: 'UART2(RTS/CTS)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [1, 2], signalNames: {"1": "CTS", "2": "RTS"}},
	    {pins: [27, 28], signalNames: {"27": "CTS", "28": "RTS"}}
        ]
    },
    "uart4": {
        description: 'UART4(RXD/TXD)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
	    {pins: [42, 45], signalNames: {"42": "TXD", "45": "RXD"}}
        ]
    },
    "uart4-hf": {
        description: 'UART4(RTS/CTS)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
	    {pins: [43, 44], signalNames: {"43": "CTS", "44": "RTS"}}
        ]
    },
    "uart5": {
        description: 'UART5(RXD/TXD)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [4, 6], signalNames: {"4": "RXD", "6": "TXD"}},
	    {pins: [74, 76], signalNames: {"74": "TXD", "76": "RXD"}}
        ]
    },
    "uart5-hf": {
        description: 'UART5(RTS/CTS)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [75, 77], signalNames: {"75": "CTS", "77": "RTS"}},
        ]
    },
    "uart7": {
        description: 'UART7(RXD/TXD)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
	    {pins: [65, 66], signalNames: {"65": "TXD", "66": "RXD"}}
        ]
    },
    "uart7-hf": {
        description: 'UART7(RTS/CTS)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
	    {pins: [54, 55], signalNames: {"54": "CTS", "55": "RTS"}}
        ]
    },
    "uart8": {
        description: 'UART8(RXD/TXD)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [15, 16], signalNames: {"15": "TXD", "16": "RXD"}}
        ]
    },
    "uart8-hf": {
        description: 'UART8(RTS/CTS)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [51, 52], signalNames: {"51": "CTS", "52": "RTS"}}
        ]
    },
    "awlmod-00": {
	description: 'AWLMOD-00',
	group: 'option',
	cssClass: 'danger',
	configurations: [
	    {pins: [13, 14, 15, 16, 18], signalNames: {"13": "GPIO", "14": "GPIO", "15": "GPIO", "16": "GPIO", "18": "GPIO"}}
	]
    },
    "rtcmod-00": {
	description: 'RTCMOD-00',
	group: 'option',
	cssClass: 'warning',
	configurations: [
	    {pins: [13, 14, 16, 18], signalNames: {"13": "GPIO", "14": "GPIO", "16": "GPIO", "18": "GPIO"}}
	]
    },
    "lcd70ext-l00": {
	description: 'LCD70EXT-L00',
	group: 'option',
	cssClass: 'danger',
	configurations: [
	    {
            pins: [42, 43, 44, 45, 47, 48, 49, 50, 51, 52, 54, 55, 56, 57, 58, 59, 61, 62, 63, 64, 65, 66, 74, 75, 83],
            signalNames: {
                "42": "CLK", "43": "HSYNC", "44": "VSYNC", "45": "ENABLE", "47": "DATA00", "48": "DATA01",
                "49": "DATA02", "50": "DATA03", "51": "DATA04", "52": "DATA05", "54": "DATA06", "55": "DATA07",
                "56": "DATA08", "57": "DATA09", "58": "DATA10", "59": "DATA11", "61": "DATA12", "62": "DATA13",
                "63": "DATA14", "64": "DATA15", "65": "DATA16", "66": "DATA17", "74": "GPIO", "75": "GPIO", "83": "PWM"}}
	]
    },
    "lcd43ext-l01-fg040360dsswbg03": {
	description: 'LCD43EXT-L01(FG040360DSSWBG03)',
	group: 'option',
	cssClass: 'warning',
	configurations: [
	    {
            pins: [42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 54, 55, 56, 57, 58, 59, 61, 62, 63, 64, 65, 66, 68, 69, 70, 71, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83],
            signalNames: {
                "42": "CLK", "43": "HSYNC", "44": "VSYNC", "45": "ENABLE", "46": "PWM", "47": "DATA00", "48": "DATA01",
                "49": "DATA02", "50": "DATA03", "51": "DATA04", "52": "DATA05", "54": "DATA06", "55": "DATA07",
                "56": "DATA08", "57": "DATA09", "58": "DATA10", "59": "DATA11", "61": "DATA12", "62": "DATA13",
                "63": "DATA14", "64": "DATA15", "65": "DATA16", "66": "DATA17", "68": "GPIO", "69": "GPIO",
                "70":"GPIO", "71":"GPIO", "73":"GPIO", "74": "GPIO", "75": "GPIO", "76":"SAI1MCLK",
                "77":"GPIO", "78":"SAI1TXDATA", "79":"SAI1RXDATA", "80":"SAI1TXBCLK", "81":"SAI1TXSYNC", "82":"I2C2SCL", "83": "I2C2SDA"}}
	]
    },
    "lcd43ext-l01-fg040346dsswbg04": {
	description: 'LCD43EXT-L01(FG040346DSSWBG04)',
	group: 'option',
	cssClass: 'danger',
	configurations: [
	    {
            pins: [42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 54, 55, 56, 57, 58, 59, 61, 62, 63, 64, 65, 66, 68, 69, 70, 71, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83],
            signalNames: {
                "42": "CLK", "43": "HSYNC", "44": "VSYNC", "45": "ENABLE", "46": "PWM", "47": "DATA00", "48": "DATA01",
                "49": "DATA02", "50": "DATA03", "51": "DATA04", "52": "DATA05", "54": "DATA06", "55": "DATA07",
                "56": "DATA08", "57": "DATA09", "58": "DATA10", "59": "DATA11", "61": "DATA12", "62": "DATA13",
                "63": "DATA14", "64": "DATA15", "65": "DATA16", "66": "DATA17", "68": "GPIO", "69": "GPIO",
                "70":"GPIO", "71":"GPIO", "73":"GPIO", "74": "GPIO4", "75": "GPIO", "76":"SAI1MCLK",
                "77":"GPIO", "78":"SAI1TXDATA", "79":"SAI1RXDATA", "80":"SAI1TXBCLK", "81":"SAI1TXSYNC", "82":"I2C2SCL", "83": "I2C2SDA"}}
	]
    },
};
